### Method

# Vips Image LabQ2LabS

#### Declaration [src]

    int
    vips_LabQ2LabS (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Unpack a LabQ (`VIPS_CODING_LABQ`) image to a three-band short image.

See also

`vips_LabS2LabQ()`, `vips_LabQ2LabS()`, `vips_rad2float()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.